# Generated from parser-3.3.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name parser

Name: rubygem-%{gem_name}
Version: 3.3.6.0
Release: 1%{?dist}
Summary: A Ruby parser written in pure Ruby
License: MIT
URL: https://github.com/whitequark/parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(cliver) >= 0.3.2
# BuildRequires: rubygem(cliver) < 0.4
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(kramdown)
# BuildRequires: rubygem(minitest) >= 5.10
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(simplecov) >= 0.15.1
# BuildRequires: rubygem(simplecov) < 0.16
# BuildRequires: rubygem(gauntlet)
BuildArch: noarch

%description
A Ruby parser written in pure Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/ruby-parse
%{_bindir}/ruby-rewrite
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/parser.gemspec

%changelog
* Tue Nov 05 2024 mockbuilder - 3.3.6.0-1
- Initial package
